package com.aucma.production.mapper;

import java.util.List;

import com.aucma.production.domain.ProdTeamShift;
import org.apache.ibatis.annotations.Param;

/**
 * 班组排班维护Mapper接口
 *
 * @author Codex
 * @date 2026-03-18
 */
public interface ProdTeamShiftMapper {
    ProdTeamShift selectProdTeamShiftByObjId(@Param("objId") Long objId);

    List<ProdTeamShift> selectProdTeamShiftList(ProdTeamShift prodTeamShift);

    ProdTeamShift selectUniqueShift(ProdTeamShift prodTeamShift);

    int insertProdTeamShift(ProdTeamShift prodTeamShift);

    int updateProdTeamShift(ProdTeamShift prodTeamShift);

    int deleteProdTeamShiftByObjId(@Param("objId") Long objId);

    int deleteProdTeamShiftByObjIds(@Param("objIds") Long[] objIds);
}
